ショートカットキー(GcShortcut)コントロールは、InputManJSコントロールやHTML要素にショートカットキーを割り当てることができます。
ショートカットキーが押されたときに、コントロールのアクション(操作)やカスタムアクションを実行することができます。
import '@mescius/inputman/CSS/gc.inputman-js.css';
import './styles.css';
import { InputMan } from '@mescius/inputman';
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
const gcNumber = new InputMan.GcNumber(document.getElementById('gcNumber'), {
value: 1,
showSpinButton: true,
showNumericPad: true
});
const gcDateTime = new InputMan.GcDateTime(document.getElementById('gcDateTime'), {
showSpinButton: true,
showDropDownButton: true,
dropDownConfig: {
dropDownType: InputMan.DateDropDownType.Calendar
}
});
var gcShortcut = new InputMan.GcShortcut();
// GcNumberにショートカットキーを追加します。
gcShortcut.add({ key: InputMan.GcShortcutKey.P, target: gcNumber, action: InputMan.GcShortcutAction.PreviousControl });
gcShortcut.add({ key: InputMan.GcShortcutKey.N, target: gcNumber, action: InputMan.GcShortcutAction.NextControl });
gcShortcut.add({ key: InputMan.GcShortcutKey.C, target: gcNumber, action: InputMan.GcShortcutAction.Clear });
gcShortcut.add({ key: InputMan.GcShortcutKey.R, target: gcNumber, action: InputMan.GcShortcutAction.DropDown });
gcShortcut.add({ key: InputMan.GcShortcutKey.U, target: gcNumber, action: InputMan.GcShortcutAction.SpinUp });
gcShortcut.add({ key: InputMan.GcShortcutKey.D, target: gcNumber, action: InputMan.GcShortcutAction.SpinDown });
// GcDateTimeにショートカットキーを追加します。
gcShortcut.add({ key: InputMan.GcShortcutKey.P, target: gcDateTime, action: InputMan.GcShortcutAction.PreviousFieldControl });
gcShortcut.add({ key: InputMan.GcShortcutKey.N, target: gcDateTime, action: InputMan.GcShortcutAction.NextFieldControl });
gcShortcut.add({ key: InputMan.GcShortcutKey.C, target: gcDateTime, action: InputMan.GcShortcutAction.Clear });
gcShortcut.add({ key: InputMan.GcShortcutKey.R, target: gcDateTime, action: InputMan.GcShortcutAction.DropDown });
gcShortcut.add({ key: InputMan.GcShortcutKey.U, target: gcDateTime, action: InputMan.GcShortcutAction.SpinUp });
gcShortcut.add({ key: InputMan.GcShortcutKey.D, target: gcDateTime, action: InputMan.GcShortcutAction.SpinDown });
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>ショートカットキーコントロール - イベント</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<div class="flexbox">
<div>
数値コントロール<br>
<input id="gcNumber">
</div>
<div>
日付時刻コントロール<br>
<input id="gcDateTime">
</div>
</div>
<table class="sample">
<tbody>
<tr>
<th>キー</th>
<th>アクション</th>
</tr>
<tr>
<td>P</td>
<td>前のフィールドまたはコントロールにフォーカスを移動します。</td>
</tr>
<tr>
<td>N</td>
<td>次のフィールドまたはコントロールにフォーカスを移動します。</td>
</tr>
<tr>
<td>C</td>
<td>値をクリアします。</td>
</tr>
<tr>
<td>R</td>
<td>ドロップダウンを開きます。</td>
</tr>
<tr>
<td>U</td>
<td>上方向のスピン操作を行います。</td>
</tr>
<tr>
<td>D</td>
<td>下方向のスピン操作を行います。</td>
</tr>
</tbody>
</table>
</body>
</html>
body {
min-height: 250px;
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

ショートカットキー(GcShortcut)コントロールは、InputManJSコントロールやHTML要素にショートカットキーを割り当てることができます。
ショートカットキーが押されたときに、コントロールのアクション(操作)やカスタムアクションを実行することができます。
<template>
<div>
<div class="flexbox">
<div>
数値コントロール<br>
<GcNumberComponent id='number' :value='1' :show-spin-button='true' :show-numeric-pad='true' />
</div>
<div>
日付時刻コントロール<br>
<GcDateTimeComponent id='datetime' :show-spin-button='true' :show-drop-down-button='true'
:drop-down-config='{dropDownType: GC_.InputMan.DateDropDownType.Calendar}' />
</div>
<GcShortcutComponent>
<GcShortcutInfoComponent target='#number' :shortcut-key='GC_.InputMan.GcShortcutKey.P'
:action='GC_.InputMan.GcShortcutAction.PreviousControl'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#number' :shortcut-key='GC_.InputMan.GcShortcutKey.N'
:action='GC_.InputMan.GcShortcutAction.NextControl'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#number' :shortcut-key='GC_.InputMan.GcShortcutKey.C'
:action='GC_.InputMan.GcShortcutAction.Clear'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#number' :shortcut-key='GC_.InputMan.GcShortcutKey.R'
:action='GC_.InputMan.GcShortcutAction.DropDown'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#number' :shortcut-key='GC_.InputMan.GcShortcutKey.U'
:action='GC_.InputMan.GcShortcutAction.SpinUp'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#number' :shortcut-key='GC_.InputMan.GcShortcutKey.D'
:action='GC_.InputMan.GcShortcutAction.SpinDown'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#datetime' :shortcut-key='GC_.InputMan.GcShortcutKey.P'
:action='GC_.InputMan.GcShortcutAction.PreviousFieldControl'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#datetime' :shortcut-key='GC_.InputMan.GcShortcutKey.N'
:action='GC_.InputMan.GcShortcutAction.NextFieldControl'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#datetime' :shortcut-key='GC_.InputMan.GcShortcutKey.C'
:action='GC_.InputMan.GcShortcutAction.Clear'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#datetime' :shortcut-key='GC_.InputMan.GcShortcutKey.R'
:action='GC_.InputMan.GcShortcutAction.DropDown'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#datetime' :shortcut-key='GC_.InputMan.GcShortcutKey.U'
:action='GC_.InputMan.GcShortcutAction.SpinUp'></GcShortcutInfoComponent>
<GcShortcutInfoComponent target='#datetime' :shortcut-key='GC_.InputMan.GcShortcutKey.D'
:action='GC_.InputMan.GcShortcutAction.SpinDown'></GcShortcutInfoComponent>
</GcShortcutComponent>
</div>
<table class="sample">
<tbody>
<tr>
<th>キー</th>
<th>アクション</th>
</tr>
<tr>
<td>P</td>
<td>前のフィールドまたはコントロールにフォーカスを移動します。</td>
</tr>
<tr>
<td>N</td>
<td>次のフィールドまたはコントロールにフォーカスを移動します。</td>
</tr>
<tr>
<td>C</td>
<td>値をクリアします。</td>
</tr>
<tr>
<td>R</td>
<td>ドロップダウンを開きます。</td>
</tr>
<tr>
<td>U</td>
<td>上方向のスピン操作を行います。</td>
</tr>
<tr>
<td>D</td>
<td>下方向のスピン操作を行います。</td>
</tr>
</tbody>
</table>
</div>
</template>
<script setup>
import '@mescius/inputman/CSS/gc.inputman-js.css';
import './styles.css';
import {createApp} from 'vue';
import '@mescius/inputman.vue';
import {GcDateTimeComponent,GcNumberComponent,GcShortcutComponent,GcShortcutInfoComponent} from '@mescius/inputman.vue';
import { InputMan } from "@mescius/inputman";
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
var GC_ = GC;
</script>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>ショートカットキーコントロール - イベント</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
window.onload = function() {
var System = SystemJS;
System.import("./src/app.js");
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
body {
min-height: 250px;
}
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/inputman": 'npm:@mescius/inputman/index.js',
"@mescius/inputman.vue": 'npm:@mescius/inputman.vue/lib/gc.inputman.plugin.vue.js',
"@mescius/inputman/CSS": "npm:@mescius/inputman/CSS",
"@mescius/inputman.richtexteditor": "npm:@mescius/inputman.richtexteditor/index.js",
"@mescius/inputman.richtexteditor.vue": "npm:/@mescius/inputman.richtexteditor.vue/lib/gc.inputman.richtexteditor.plugin.vue.js",
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures/wijmo.culture.ja.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);